"
A WDElementTest is a test class for testing the behavior of WDElement
"
Class {
	#name : #WDElementTest,
	#superclass : #TestCase,
	#instVars : [
		'driver'
	],
	#category : #'WebDriver-Tests-Base'
}

{ #category : #'tests - before' }
WDElementTest >> setUp [ 
	super setUp.
	driver := WebDriver start: #Firefox.
	driver session.
]

{ #category : #'tests - after' }
WDElementTest >> tearDown [ 
	driver deleteSession.
	driver finalize.
	super tearDown.
]

{ #category : #tests }
WDElementTest >> testAttributeReading [
	| element |
	driver url: 'https://ddg.co'.
	element := driver findElement: '#logo_homepage_link' using: WDLocationStrategy cssSelector.
	self assert: (element attribute: 'href') equals: '/about'.
]

{ #category : #tests }
WDElementTest >> testTextReading [
	| element |
	driver url: 'https://ddg.co'.
	element := driver findElement: '#logo_homepage_link' using: WDLocationStrategy cssSelector.
	self assert: (element text) equals: 'About DuckDuckGo'.
]
