"
A WebDriverTest is a test class for testing the behavior of WebDriver
"
Class {
	#name : #WebDriverTest,
	#superclass : #TestCase,
	#instVars : [
		'webdriver'
	],
	#category : #'WebDriver-Tests-Base'
}

{ #category : #running }
WebDriverTest >> setUp [ 
	super setUp.
	webdriver := WebDriver start: #Firefox.
	webdriver session.
]

{ #category : #running }
WebDriverTest >> tearDown [ 
	webdriver deleteSession.
	webdriver finalize.
	super tearDown.
]

{ #category : #tests }
WebDriverTest >> testFindElementInvalidCSSSelector [ 
	self
		should: [ webdriver url: 'https://ddg.co'; findElement: '' using: WDLocationStrategy cssSelector ]
		raise: WDInvalidSelector.
]

{ #category : #tests }
WebDriverTest >> testFindElementValid [
	self assert: ((webdriver url: 'https://ddg.co'; findElement: '.logo_homepage' using: WDLocationStrategy cssSelector) isMemberOf: WDElement).
]

{ #category : #tests }
WebDriverTest >> testFindElementsInvalidCSSSelector [ 
	self
		should: [ webdriver url: 'https://ddg.co'; findElements: '' using: WDLocationStrategy cssSelector ]
		raise: WDInvalidSelector.
]

{ #category : #tests }
WebDriverTest >> testFindElementsValid [
	| result |
	result := webdriver url: 'https://ddg.co';
		findElements: '.badge-link__bullet' using: WDLocationStrategy cssSelector.
	self assert: result size equals: 3.
]

{ #category : #tests }
WebDriverTest >> testGetTitle [
	self assert: (webdriver url: 'https://cern.ch'; title) equals: 'Home | CERN'.
]
